Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Auth

    java.lang.Object
      com.xensource.xenapi.XenAPIObject
          com.xensource.xenapi.Auth

    public class Auth

extends XenAPIObject

Management of remote authentication services

Constructor Summary
`Auth()`

Method Summary
`static Set<String>` | `getGroupMembership(Connection c, String subjectIdentifier)` This calls queries the external directory service to obtain the transitively-closed set of groups that the the subject_identifier is member of.
`static String` | `getSubjectIdentifier(Connection c, String subjectName)` This call queries the external directory service to obtain the subject_identifier as a string from the human-readable subject_name
`static Map<String,String>` | `getSubjectInformationFromIdentifier(Connection c, String subjectIdentifier)` This call queries the external directory service to obtain the user information (e.g.
`String` | `toWireString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Auth

    public Auth()

Method Detail

### toWireString

    public String toWireString()

  Specified by:
    `toWireString` in class `XenAPIObject`

### getSubjectIdentifier

    public static String getSubjectIdentifier(Connection c,
                                              String subjectName)
                                       throws Types.BadServerResponse,
                                              Types.XenAPIException,
                                              org.apache.xmlrpc.XmlRpcException

  This call queries the external directory service to obtain the subject_identifier as a string from the human-readable subject_name

  Parameters:
    `subjectName` - The human-readable subject_name, such as a username or a groupname
  Returns:
    the subject_identifier obtained from the external directory service
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getSubjectInformationFromIdentifier

    public static Map<String,String> getSubjectInformationFromIdentifier(Connection c,
                                                                         String subjectIdentifier)
                                                                  throws Types.BadServerResponse,
                                                                         Types.XenAPIException,
                                                                         org.apache.xmlrpc.XmlRpcException

  This call queries the external directory service to obtain the user information (e.g. username, organization etc) from the specified subject_identifier

  Parameters:
    `subjectIdentifier` - A string containing the subject_identifier, unique in the external directory service
  Returns:
    key-value pairs containing at least a key called subject_name
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getGroupMembership

    public static Set<String> getGroupMembership(Connection c,
                                                 String subjectIdentifier)
                                          throws Types.BadServerResponse,
                                                 Types.XenAPIException,
                                                 org.apache.xmlrpc.XmlRpcException

  This calls queries the external directory service to obtain the transitively-closed set of groups that the the subject_identifier is member of.

  Parameters:
    `subjectIdentifier` - A string containing the subject_identifier, unique in the external directory service
  Returns:
    set of subject_identifiers that provides the group membership of subject_identifier passed as argument, it contains, recursively, all groups a subject_identifier is member of.
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD